Subject: Nursery in Charlotte NC

From: [email-masked] (Al Ross SLIP)
Date: Sun, 12 Mar 1995 12:19:55 +1000

There is a small nursery in Charlotte, that is looking for a partner....

My name is Al Ross at Nature’s Touch Nursery and am located on the 
north-east part of town. This side of town has great potential, 80% of the 
residents are new comers. There is unlimited landscape and retail potential.

I can’t do it all myself and do much better with a compatible partner. There is 
2+ acres and 2  12 by 40 greenhouses and a well.  Very small investment.

If you have any intersts in this direction.....email

Al Ross